<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Oct 27, 2017 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20171027" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2017-10-27</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ChangeEventTransformation.java<a name="orgeclipsepapyrusdesignertransformationlanguagescpplibrarystatemachineChangeEventTransformation.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ChangeEventTransformation.html#L12">12</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ChangeEventTransformation.html#L13">13</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ChangeEventTransformation.html#L14">14</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ChangeEventTransformation.html#L15">15</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ChangeEventTransformation.html#L16">16</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.java<a name="orgeclipsepapyrusdesignertransformationlanguagescpplibrarystatemachineConcurrencyGenerator.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.html#L18">18</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.html#L19">19</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.html#L20">20</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.html#L21">21</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.html#L22">22</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/ConcurrencyGenerator.html#L23">23</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/EventTransformation.java<a name="orgeclipsepapyrusdesignertransformationlanguagescpplibrarystatemachineEventTransformation.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/EventTransformation.html#L26">26</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/EventTransformation.html#L27">27</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/EventTransformation.html#L28">28</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/EventTransformation.html#L29">29</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/EventTransformation.html#L30">30</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/PseudostateGenerator.java<a name="orgeclipsepapyrusdesignertransformationlanguagescpplibrarystatemachinePseudostateGenerator.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/PseudostateGenerator.html#L21">21</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/PseudostateGenerator.html#L22">22</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/PseudostateGenerator.html#L23">23</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/PseudostateGenerator.html#L24">24</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.java<a name="orgeclipsepapyrusdesignertransformationlanguagescpplibrarystatemachineSM2ClassesTransformationCore.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L35">35</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L36">36</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L37">37</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L38">38</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L39">39</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L40">40</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L41">41</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L42">42</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/SM2ClassesTransformationCore.html#L43">43</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/TimeEventTransformation.java<a name="orgeclipsepapyrusdesignertransformationlanguagescpplibrarystatemachineTimeEventTransformation.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/TimeEventTransformation.html#L16">16</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/TimeEventTransformation.html#L17">17</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/TimeEventTransformation.html#L18">18</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/transformation/languages/cpp/library/statemachine/TimeEventTransformation.html#L19">19</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
